- Qt 6.8
- Qt QML Network
- QML Types
- sslDtlsConfiguration
- Qt 6.8.3 Reference Documentation

# sslDtlsConfiguration QML Type

The sslDtlsConfiguration class holds the Dtls default configuration and state of an SSL connection. More...

Import Statement: | `import QtNetwork`
Since: | Qt 6.7

- List of all members, including inherited members

## Properties

- ciphers : string
- peerVerifyDepth : int
- peerVerifyMode : enumeration
- protocol : enumeration
- sessionTicket : bytearray
- sslOptions : QList

## Methods

- void setCertificateFiles(const QStringList &certificateFiles)
- void setPrivateKey(const QQmlSslKey &privateKey)

## Detailed Description

See also QSslConfiguration.

## Property Documentation

ciphers : string

Holds the cryptographic cipher suite for this configuration to ciphers, which is a colon-separated list of cipher suite names.

See also QSslConfiguration::ciphers.

peerVerifyDepth : int

Holds the maximum number of certificates in the peer's certificate chain to be checked during the SSL handshake phase, or 0 (the default) if no maximum depth has been set, indicating that the whole certificate chain should be checked.

See also QSslConfiguration::peerVerifyDepth.

peerVerifyMode : enumeration

Holds PeerVerifyMode enumeration value.

See also QSslSocket::PeerVerifyMode.

protocol : enumeration

Holds SslProtocol enumeration value.

See also QSsl::SslProtocol.

sessionTicket : bytearray

Holds the session ticket used in the SSL handshake in ASN.1 format, suitable to e.g. be persisted to disk.

See also QSslConfiguration::sessionTicket.

sslOptions : QList

Holds the list of SslOption values, that are activated by configuration.

See also QSsl::SslOption.

## Method Documentation

void setCertificateFiles(const QStringList &certificateFiles)

This function loads into configuration the list of certificates certificateFiles provided by user.

void setPrivateKey(const QQmlSslKey &privateKey)

This function sets into configuration user defined Private key value privateKey.

See also QSslKey and sslKey.